# -*- encoding: utf-8 -*-
# stub: influxdb 0.2.3 ruby lib

Gem::Specification.new do |s|
  s.name = "influxdb"
  s.version = "0.2.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Todd Persen"]
  s.date = "2015-12-09"
  s.description = "This is the official Ruby library for InfluxDB."
  s.email = ["influxdb@googlegroups.com"]
  s.files = [".gitignore", ".rubocop.yml", ".travis.yml", "Gemfile", "LICENSE.txt", "README.md", "Rakefile", "influxdb.gemspec", "lib/influxdb.rb", "lib/influxdb/client.rb", "lib/influxdb/client/http.rb", "lib/influxdb/config.rb", "lib/influxdb/errors.rb", "lib/influxdb/logging.rb", "lib/influxdb/max_queue.rb", "lib/influxdb/point_value.rb", "lib/influxdb/query/cluster.rb", "lib/influxdb/query/continuous_query.rb", "lib/influxdb/query/core.rb", "lib/influxdb/query/database.rb", "lib/influxdb/query/retention_policy.rb", "lib/influxdb/query/user.rb", "lib/influxdb/version.rb", "lib/influxdb/writer/async.rb", "lib/influxdb/writer/udp.rb", "spec/influxdb/cases/async_client_spec.rb", "spec/influxdb/cases/query_cluster_spec.rb", "spec/influxdb/cases/query_continuous_query_spec.rb", "spec/influxdb/cases/query_core.rb", "spec/influxdb/cases/query_database_spec.rb", "spec/influxdb/cases/query_retention_policy_spec.rb", "spec/influxdb/cases/query_series_spec.rb", "spec/influxdb/cases/query_shard_space_spec.rb", "spec/influxdb/cases/query_shard_spec.rb", "spec/influxdb/cases/query_user_spec.rb", "spec/influxdb/cases/querying_spec.rb", "spec/influxdb/cases/retry_requests_spec.rb", "spec/influxdb/cases/udp_client_spec.rb", "spec/influxdb/cases/write_points_spec.rb", "spec/influxdb/client_spec.rb", "spec/influxdb/config_spec.rb", "spec/influxdb/logging_spec.rb", "spec/influxdb/max_queue_spec.rb", "spec/influxdb/point_value_spec.rb", "spec/influxdb/worker_spec.rb", "spec/spec_helper.rb"]
  s.homepage = "http://influxdb.org"
  s.licenses = ["MIT"]
  s.rubygems_version = "2.2.5"
  s.summary = "Ruby library for InfluxDB."
  s.test_files = ["spec/influxdb/cases/async_client_spec.rb", "spec/influxdb/cases/query_cluster_spec.rb", "spec/influxdb/cases/query_continuous_query_spec.rb", "spec/influxdb/cases/query_core.rb", "spec/influxdb/cases/query_database_spec.rb", "spec/influxdb/cases/query_retention_policy_spec.rb", "spec/influxdb/cases/query_series_spec.rb", "spec/influxdb/cases/query_shard_space_spec.rb", "spec/influxdb/cases/query_shard_spec.rb", "spec/influxdb/cases/query_user_spec.rb", "spec/influxdb/cases/querying_spec.rb", "spec/influxdb/cases/retry_requests_spec.rb", "spec/influxdb/cases/udp_client_spec.rb", "spec/influxdb/cases/write_points_spec.rb", "spec/influxdb/client_spec.rb", "spec/influxdb/config_spec.rb", "spec/influxdb/logging_spec.rb", "spec/influxdb/max_queue_spec.rb", "spec/influxdb/point_value_spec.rb", "spec/influxdb/worker_spec.rb", "spec/spec_helper.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<json>, [">= 0"])
      s.add_runtime_dependency(%q<cause>, [">= 0"])
      s.add_development_dependency(%q<bundler>, ["~> 1.3"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rspec>, ["~> 3.0.0"])
      s.add_development_dependency(%q<webmock>, ["~> 1.21.0"])
    else
      s.add_dependency(%q<json>, [">= 0"])
      s.add_dependency(%q<cause>, [">= 0"])
      s.add_dependency(%q<bundler>, ["~> 1.3"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rspec>, ["~> 3.0.0"])
      s.add_dependency(%q<webmock>, ["~> 1.21.0"])
    end
  else
    s.add_dependency(%q<json>, [">= 0"])
    s.add_dependency(%q<cause>, [">= 0"])
    s.add_dependency(%q<bundler>, ["~> 1.3"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rspec>, ["~> 3.0.0"])
    s.add_dependency(%q<webmock>, ["~> 1.21.0"])
  end
end
